Subject: Re: MOPAC 7 and MOPAC 93

From: Andrey V Khavryutchenko <[email-masked]>
Date: Thu, 19 Dec 1996 16:54:50 +0200

James J. P. Stewart wrote:
> 
> Recently there have been several messages regarding possible
> errors in MOPAC 7.  These errors were revealed at run-time.
> 
> I would like to reiterate:  MOPAC 7 is NOT intended for production
> work.  It should NOT be used by users.  It is intended to be a
> public-domain source of code for program developers.
> 

Due to this statement, I've got the question.  What is the copyright 
status of MOPAC7.  Or more preciselly, where can I use its code?

As it is stated in the beginning of aababc.f:

C
C         Notice of Public Domain nature of this Program
C
C      'This computer program is a work of the United States
C       Government and as such is not subject to protection by
C       copyright (17 U.S.C. # 105.)  Any person who fraudulently
C       places a copyright notice or does any other act contrary
C       to the provisions of 17 U.S. Code 506(c) shall be subject
C       to the penalties provided therein.  This notice shall not
C       be altered or removed from this software and is to be on
C       all reproductions.'
C

Does this means I can use this code anywhere I want?  Can I sell it or
the code, derived for it?  Or, possibly, only use it for non-commercial
purposes?

Any hint will be helpfull.

> There are about 300 to 400 known errors in MOPAC 7.  The errors that
> users have reported are known bugs.
> 

Are they listed somewhere for public access?

> Many users have asked for bug-fixes for MOPAC 7.  These requests will not
> be honored.  MOPAC 7 is not supported code.  If users elect to use
> a program that is known to be buggy, and which is not supported, then
> user beware - a lot of time has been unecessarily wasted by using MOPAC 7.
> 

Please, respond directly to me ([email-masked]).  
If there will be requests, I will post the summary.

Thanks.

SY
-- 
Andrey V Khavryutchenko
[email-masked]
Interests: Computational Chemistry, OOA&OOP, The Net